// ==UserScript==
// @name         Invidious - Dark Mode
// @version      1.1.1
// @author       ace2k, Jesús E.
// @license      GPL-3.0
// @description  This script automatically toggles dark mode on Invidious and its various public instances.
// @namespace    https://gitlab.com/ace2k
// @supportURL   https://gitlab.com/ace2k/userscripts
// @include      /^http(s|)://(www[.]|)invidio[.]us/.*$/
// @include      /^http(s|)://(www[.]|proxy[.])invidious[.]snopyta[.]org/.*$/
// @include      /^http(s|)://(www[.]|)vid[.]wxzm[.]sx/.*$/
// @include      /^http(s|)://(www[.]|)invidious[.]kabi[.]tk/.*$/
// @include      /^http(s|)://(www[.]|)invidiou[.]sh/*
// @include      /^http(s|)://(www[.]|)invidious[.]enkirton[.]net/.*$/
// @include      /^http(s|)://(www[.]|)tube[.]poal[.]co/.*$/
// @include      /^http(s|)://(www[.]|)invidious[.]13ad[.]de/.*$/
// @grant        none
// ==/UserScript==

(function switchMode() {
    'use strict';
    var consoleCSS = 'background: #000; color: #00FF00; padding: 0px 7px; border: 1px solid #00FF00; line-height: 16px;';
    var defaultMode = document.getElementsByClassName('ion-ios-moon')[0];
    if (defaultMode != null) {
        defaultMode.click();
        console.log("%cUSERSCRIPT | " + GM_info.script.name + " " + GM_info.script.version + " | successfully initialized", consoleCSS);
    }
})();
